version: "3"

services:
  prometheus:
    image: prom/prometheus:latest
    container_name: prometheus
    restart: unless-stopped
    command:
      - "--config.file=/etc/prometheus/prometheus.yml"
      - "--web.console.libraries=/etc/prometheus/console_libraries"
      - "--web.console.templates=/etc/prometheus/consoles"
      - "--web.enable-lifecycle"
      - "--storage.tsdb.path=/prometheus"
      - "--storage.tsdb.retention=200h"
    networks:
      - monitoring
    volumes:
      - ./prometheus_data:/prometheus:rw
      - ./config/prometheus.yml:/etc/prometheus/prometheus.yml
    ports:
      - 9090:9090

  grafana:
    image: grafana/grafana:latest
    container_name: grafana
    restart: unless-stopped
    env_file: .grafanaenv
    networks:
      - monitoring
    volumes:
      - ./grafana_data:/var/lib/grafana:rw
      - ./config/grafana/provisioning:/etc/grafana/provisioning
    environment:
      - GF_USERS_ALLOW_SIGN_UP=false
    ports:
      - 3000:3000

networks:
  monitoring: {}

volumes:
  prometheus_data: {}
  grafana_data: {}
